Package com.smartgwt.rebind

# Class BeanValueType

java.lang.Object
com.smartgwt.rebind.BeanValueType

public class BeanValueType extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanValueType(JType valueType, TypeOracle oracle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateFactory(TreeLogger logger, GeneratorContext context)`
  `String`
  `getFactoryPackage()`
  `String`
  `getQualifiedFactoryName()`
  `String`
  `getQualifiedGenericName()`
  `String`
  `getQualifiedTypeName()`
  `String`
  `getQualifiedValueTypeLiteral()`
  `String`
  `getSimpleFactoryName()`
  `String`
  `getSimpleGenericName()`
  `String`
  `getSimpleTypeName()`
  `String`
  `getSimpleValueTypeLiteral()`
  `boolean`
  `requiresGeneration()`
  `void`
  `writeRegisterValueType(com.google.gwt.user.rebind.SourceWriter source, TreeLogger logger, GeneratorContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanValueType

    public BeanValueType(JType valueType, TypeOracle oracle)

- ## Method Details

  - ### requiresGeneration

    public boolean requiresGeneration()

  - ### getSimpleTypeName

    public String getSimpleTypeName()

  - ### getQualifiedTypeName

    public String getQualifiedTypeName()

  - ### getSimpleFactoryName

    public String getSimpleFactoryName()

  - ### getFactoryPackage

    public String getFactoryPackage()

  - ### getQualifiedFactoryName

    public String getQualifiedFactoryName()

  - ### getQualifiedGenericName

    public String getQualifiedGenericName()

  - ### getSimpleGenericName

    public String getSimpleGenericName()

  - ### getQualifiedValueTypeLiteral

    public String getQualifiedValueTypeLiteral()

  - ### getSimpleValueTypeLiteral

    public String getSimpleValueTypeLiteral()

  - ### writeRegisterValueType

    public void writeRegisterValueType(com.google.gwt.user.rebind.SourceWriter source, TreeLogger logger, GeneratorContext context)

  - ### generateFactory

    public String generateFactory(TreeLogger logger, GeneratorContext context)